<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class CherryCheckoutCore_Charity_Block_Sales_Order_Total extends Mage_Core_Block_Template
{

    /**
     * Get order store object
     *
     * @return Mage_Sales_Model_Order
     */
    public function getOrder()
    {
        return $this->getParentBlock()->getOrder();
    }

    /**
     * Get totals source object
     *
     * @return Mage_Sales_Model_Order
     */
    public function getSource()
    {
        return $this->getParentBlock()->getSource();
    }

    /**
     * Initialize Cherry Checkout Charity totals
     *
     * @return CherryCheckoutCore_Charity_Block_Sales_Order_Total
     */
    public function initTotals()
    {
        $source = $this->getSource();
        if ((float) $this->getOrder()->getBaseCcoCharityAmount()) {
            
            $_helper = Mage::helper('cco_charity');
            $type = $this->getOrder()->getData('cco_charity_type');
            $name = $this->getOrder()->getData('cco_charity_name');
            
            
            $title = $_helper->__($_helper->getLabelType($type));
            //$title .= ' (' . $_helper->__('%s harvest money in the name and on behalf of Cherry Checkout',$name) . ')';
            $value  = $source->getCcoCharityAmount();
            $this->getParentBlock()->addTotal(new Varien_Object(array(
                'code'   => 'cco_charity',
                'strong' => false,
                'label'  => $title,
                'value'  => $value,
                
            )));
            $title = '(' . $_helper->__('%s harvest money in the name and on behalf of Cherry Checkout',$name) . ')';
            $this->getParentBlock()->addTotal(new Varien_Object(array(
                'code'   => 'cco_charity_label',
                'strong' => false,
                'label'  => $title,
                'value'  => '',
                'is_formated' => TRUE,
                
            )));
        }

        return $this;
    }
}