<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class CherryCheckoutCore_Charity_Model_Sales_Order_Total_Creditmemo_Total extends Mage_Sales_Model_Order_Creditmemo_Total_Abstract
{

    /**
     * Collect credit memo total
     *
     * @param Mage_Sales_Model_Order_Creditmemo $creditmemo
     * @return CherryCheckoutCore_Charity_Model_Sales_Order_Total_Creditmemo_Total
     */
    public function collect(Mage_Sales_Model_Order_Creditmemo $creditmemo)
    {
        $order = $creditmemo->getOrder();

        if($order->getCcoCharityAmountInvoiced() > 0) {

            $feeAmountLeft = $order->getCcoCharityAmountInvoiced() - $order->getCcoCharityAmountRefunded();
            $basefeeAmountLeft = $order->getBaseCcoCharityAmountInvoiced() - $order->getBaseCcoCharityAmountRefunded();

            if ($basefeeAmountLeft > 0) {
                $creditmemo->setGrandTotal($creditmemo->getGrandTotal() + $feeAmountLeft);
                $creditmemo->setBaseGrandTotal($creditmemo->getBaseGrandTotal() + $basefeeAmountLeft);
                $creditmemo->setCcoCharityAmount($feeAmountLeft);
                $creditmemo->setBaseCcoCharityAmount($basefeeAmountLeft);
            }

        } else {

            $feeAmount = $order->getCcoCharityAmountInvoiced();
            $basefeeAmount = $order->getBaseCcoCharityAmountInvoiced();

            $creditmemo->setGrandTotal($creditmemo->getGrandTotal() + $feeAmount);
            $creditmemo->setBaseGrandTotal($creditmemo->getBaseGrandTotal() + $basefeeAmount);
            $creditmemo->setCcoCharityAmount($feeAmount);
            $creditmemo->setBaseCcoCharityAmount($basefeeAmount);

        }

        return $this;
    }

}
