<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class CherryCheckoutCore_Charity_Model_Sales_Order_Total_Invoice_Total extends Mage_Sales_Model_Order_Invoice_Total_Abstract
{

    /**
     * Collect invoice total
     *
     * @param Mage_Sales_Model_Order_Invoice $invoice
     * @return CherryCheckoutCore_Charity_Model_Sales_Order_Total_Invoice_Total
     */
    public function collect(Mage_Sales_Model_Order_Invoice $invoice)
    {
        $order = $invoice->getOrder();

        $feeAmountLeft = $order->getCcoCharityAmount() - $order->getCcoCharityAmountInvoiced();
        $baseFeeAmountLeft = $order->getBaseCcoCharityAmount() - $order->getBaseCcoCharityAmountInvoiced();

        if (abs($baseFeeAmountLeft) < $invoice->getBaseGrandTotal()) {
            $invoice->setGrandTotal($invoice->getGrandTotal() + $feeAmountLeft);
            $invoice->setBaseGrandTotal($invoice->getBaseGrandTotal() + $baseFeeAmountLeft);
        } else {
            $feeAmountLeft = $invoice->getGrandTotal() * -1;
            $baseFeeAmountLeft = $invoice->getBaseGrandTotal() * -1;

            $invoice->setGrandTotal(0);
            $invoice->setBaseGrandTotal(0);
        }

        $invoice->setCcoCharityAmount($feeAmountLeft);
        $invoice->setBaseCcoCharityAmount($baseFeeAmountLeft);

        return $this;
    }

}
