<?php

class CherryCheckoutCore_Charity_Model_Sales_Pdf_Label extends Mage_Sales_Model_Order_Pdf_Total_Default
{
    /**
     * Get array of arrays with totals information for display in PDF
     * array(
     *  $index => array(
     *      'amount'   => $amount,
     *      'label'    => $label,
     *      'font_size'=> $font_size
     *  )
     * )
     * @return array
     */
    public function getTotalsForDisplay()
    {
        $amount = $this->getOrder()->formatPriceTxt($this->getAmount());
        $name   = $this->getOrder()->getData('cco_charity_name');
        if(!$name || !$amount){
            return array();
        }
        if ($this->getAmountPrefix()) {
            $amount = $this->getAmountPrefix().$amount;
        }
        $_helper = Mage::helper('cco_charity');
        $type = $_helper->getLabelType($this->getOrder()->getData('cco_charity_type'));
        $title = '(' . $_helper->__('%s harvest money in the name and on behalf of Cherry Checkout',$name) . ')';
        $fontSize = 8;
        $total = array(
            'amount'    => ' ',
            'label'     => $title,
            'font_size' => $fontSize
        );
        return array($total);
    }
}

    