<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class CherryCheckoutCore_Charity_CartController extends Mage_Core_Controller_Front_Action
{
    /**
     * Index action
     */
    public function indexAction()
    {
        $request = $this->getRequest();
        $helper = Mage::helper('cco_charity/config');
        $quote = Mage::getSingleton('checkout/session')->getQuote();
        
        if ($this->_validateFormKey()) {
            if(!$quote->getData('cco_charity')){
                 if($helper->isActive()){
                     $cherrycheckout_value = (int)$request->getParam('cherrycheckout_value');
                     if($cherrycheckout_value >= 1 && $cherrycheckout_value <= 10){
                         $quote->setData('cco_charity_amount_value',$cherrycheckout_value);
                     }
                     else{
                         $quote->setData('cco_charity_amount_value',0);
                     }
                     $quote->setData('cco_charity',1);
                     $quote->setData('cco_charity_type',$helper->getCharityType());
                     $quote->setData('cco_charity_name',Mage::app()->getStore()->getFrontendName());
                     $quote->save();
                     $helper->_log("Quote ID " . $quote->getId() . " / CherryCheckout Charity after : " . $quote->getData('cco_charity'));
                 }
                 else{
                    $quote->setData('cco_charity',0);
                    $quote->setData('cco_charity_type',NULL); 
                    $quote->setData('cco_charity_name',NULL);
                    $quote->setData('cco_charity_amount_value',0);
                    $quote->save();
                    $helper->_log("Quote ID " . $quote->getId() . " / CherryCheckout Charity after : " . $quote->getData('cco_charity'));
                 }
             }
             else{
                $quote->setData('cco_charity',0);
                $quote->setData('cco_charity_type',NULL); 
                $quote->setData('cco_charity_name',NULL);
                $quote->setData('cco_charity_amount_value',0);
                $quote->save();
                $helper->_log("Quote ID " . $quote->getId() . " / CherryCheckout Charity after : " . $quote->getData('cco_charity'));
             }
         }
         
         $this->loadLayout();
        
         $rootBlock = $this->getLayout()->getBlock('json_data');
         $result = array();
         $childs = $rootBlock->getSortedChildren();
         $page = $this->getRequest()->getParam('page',NULL);
         foreach($childs as $child){
            $block = $this->getLayout()->getBlock($child);
            if($block->getCcoBlockId() === 'cherrycheckout_block_container'){
                $blockPosition = Mage::getStoreConfig('cco_charity/frontend/block');
                $cssClass = NULL;
                switch($blockPosition){
                    case 'shopping.cart.table.after'    :   $cssClass = 'cco_block_table_after';
                                                            break;
                    case 'checkout.cart.extra'          :   $cssClass = 'cco_block_cart_extra';
                                                            break;
                    case 'checkout.cart.form.before' :      $cssClass = 'cco_block_form_before';
                                                            break;
                }
                if($cssClass){
                    $block->setCssClass($cssClass);
                }
             
             
             }
             $result[] = array(
                'id'    => $block->getCcoBlockId(),
                'value' => $block->setCurrentCheckoutPage($page)->toHtml()
             );
            
         }
         
         $this->getResponse()->setHeader('Content-type', 'application/json');
         $this->getResponse()->setBody(Mage::helper('core')->jsonEncode($result));
         return $this;
    }

}
