<?php

/**
 * 	CHERRY CHECKOUT - PHP SDK
 * 	CherryCheckout\Contract
 *
 * 	author:			Alex Potot
 * 	last update:	2017-08-08
 * 	copyright:		Cherry Checkout SA
 * 	website:		https://www.cherrycheckout.com
 * 	support:		support@cherrycheckout.com
 * 	doc:			https://developers.cherrycheckout.com/en/sdk/php
 */

namespace CherryCheckout;

class Contract
{
	public $charityOrderPercentage;
	public $gameOrderPercentage;
	public $name;
	public $nbOrderToDraw;
	public $priceScale;

	/**
	 * Contract constructor.
	 * @param mixed $apiContract
	 * 	The contract object got from api
	 */
	public function __construct($apiContract)
	{
		$this->charityOrderPercentage = $apiContract->charityOrderPercentage;
		$this->gameOrderPercentage = $apiContract->gameOrderPercentage;
		$this->name = $apiContract->name;
		$this->nbOrderToDraw = $apiContract->nbOrderToDraw;
		$this->priceScale = $apiContract->priceScale;
	}

	/**
	 * @return int
	 */
	public function getCharityOrderPercentage()
	{
		return $this->charityOrderPercentage;
	}

	/**
	 * @return int
	 */
	public function getGameOrderPercentage()
	{
		return $this->gameOrderPercentage;
	}

	/**
	 * @return string
	 */
	public function getName()
	{
		return $this->name;
	}

	/**
	 * @return int
	 */
	public function getNbOrderToDraw()
	{
		return $this->nbOrderToDraw;
	}

	/**
	 * @return mixed
	 */
	public function getPriceScale()
	{
		return $this->priceScale;
	}
}