<?php

/**
 * 	CHERRY CHECKOUT - PHP SDK
 * 	CherryCheckout\Customer
 *
 * 	author:			Alex Potot
 * 	last update:	2017-08-09
 * 	copyright:		Cherry Checkout SA
 * 	website:		https://www.cherrycheckout.com
 * 	support:		support@cherrycheckout.com
 * 	doc:			https://developers.cherrycheckout.com/en/sdk/php
 */

namespace CherryCheckout;

class Customer
{
	public $address;
	public $birthday;
	public $city;
	public $country;
	public $email;
	public $firstname;
	public $gender;
	public $lastname;
	public $zipCode;

	/**
	 * @return string
	 */
	public function getAddress()
	{
		return $this->address;
	}

	/**
	 * @param string $address
	 * 	Address with a number street, and a route, only
	 * @return $this
	 */
	public function setAddress($address)
	{
		$this->address = $address;
		return $this;
	}

	/**
	 * @return string
	 * 	Birthday as a Y-m-d date format.
	 */
	public function getBirthday()
	{
		return $this->birthday;
	}

	/**
	 * @param string $birthday
	 * 	Birthday as a Y-m-d date format.
	 * @return $this
	 */
	public function setBirthday($birthday)
	{
		$this->birthday = $birthday;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getCity()
	{
		return $this->city;
	}

	/**
	 * @param string $city
	 * @return $this
	 */
	public function setCity($city)
	{
		$this->city = $city;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getCountry()
	{
		return $this->country;
	}

	/**
	 * @param string $country
	 * @return $this
	 */
	public function setCountry($country)
	{
		$this->country = $country;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getEmail()
	{
		return $this->email;
	}

	/**
	 * @param string $email
	 * @return $this
	 */
	public function setEmail($email)
	{
		$this->email = $email;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getFirstname()
	{
		return $this->firstname;
	}

	/**
	 * @param string $firstname
	 * @return $this
	 */
	public function setFirstname($firstname)
	{
		$this->firstname = $firstname;
		return $this;
	}

	/**
	 * @return string
	 * 	Return the gender as a char :
	 * 		- m : male
	 * 		- f : female
	 * 		- u : unknown
	 */
	public function getGender()
	{
		return $this->gender;
	}

	/**
	 * @param string $gender
	 * 	Set the gender with a char :
	 * 		- m : male
	 * 		- f : female
	 * 		- u : unknown
	 * @return $this
	 */
	public function setGender($gender)
	{
		if ($gender == 'm' || $gender == 'f') {
			$this->gender = $gender;
		}
		else {
			$this->gender = 'u';
		}

		return $this;
	}

	/**
	 * @return string
	 */
	public function getLastname()
	{
		return $this->lastname;
	}

	/**
	 * @param string $lastname
	 * @return $this
	 */
	public function setLastname($lastname)
	{
		$this->lastname = $lastname;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getZipCode()
	{
		return $this->zipCode;
	}

	/**
	 * @param string $zipCode
	 * @return $this
	 */
	public function setZipCode($zipCode)
	{
		$this->zipCode = $zipCode;
		return $this;
	}
}